CLASS TYPED_VALUE(3)

NAME
boost::program_options::typed_value_base

SYNOPSIS

// In header: <boost/program_options/value_semantic.hpp>
class typed_value_base {
public:
  // construct/copy/destruct
  ~typed_value_base();
  // public member functions
  const std::type_info & value_type() const;
};

DESCRIPTION

Base class for all option that have a fixed type, and are willing to announce this type to the outside world. Any 'value_semantics' for which you want to find out the type can be dynamic_cast-ed to typed_value_base. If conversion succeeds, the 'type' method can be called.

  typed_value_base public construct/copy/destruct

    1.

    ~typed_value_base();

  typed_value_base public member functions

    1.

    const std::type_info & value_type() const;